logo
IntegrationsGet Slack status
Integrations

Get Slack status

Returns the Slack integration connection status, team name, default channel, and notification settings.

curl -X GET "https://api.sendkit.ai/v1/integrations/slack" \
  -H "Content-Type: application/json" \
  -H "X-Api-Key: YOUR_API_KEY" \
  -H "Authorization: Bearer YOUR_API_TOKEN"
{
  "success": true,
  "data": {
    "connected": true,
    "teamName": "Acme Team",
    "defaultChannel": "#sales-alerts",
    "notifications": {
      "replies": true,
      "bounces": true
    }
  }
}
GET
/v1/integrations/slack
GET
API Key (header: X-Api-Key)
X-Api-Keystring
Required

Platform API key (sk_user_...) or Workspace API key (sk_...)

Platform API key (sk_user_...) or Workspace API key (sk_...)
Bearer Token
Bearer Tokenstring
Required

API key as Bearer token

API key as Bearer token
Request Preview
Response

Response will appear here after sending the request

Authentication

header
X-Api-Keystring
Required

API Key for authentication. Platform API key (sk_user_...) or Workspace API key (sk_...)

header
Authorizationstring
Required

Bearer token. API key as Bearer token

Responses

successboolean
dataobject